package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * cps_meeting_enterprise_trip_info与会企业行程信息对象 cps_meeting_enterprise_trip_info
 *
 * @author ruoyi
 * @date 2024-08-14
 */
public class CpsMeetingEnterpriseTripInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    @Excel(name = "行程名称")
    private String tripName;

    /**
     * 行程开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "行程开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tripDateStart;

    /**
     * 行程结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "行程结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date tripDateEnd;

    /**
     * 行程详情
     */
    @Excel(name = "行程详情")
    private String tripDetail;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTripDateStart(Date tripDateStart) {
        this.tripDateStart = tripDateStart;
    }

    public Date getTripDateStart() {
        return tripDateStart;
    }

    public void setTripDateEnd(Date tripDateEnd) {
        this.tripDateEnd = tripDateEnd;
    }

    public Date getTripDateEnd() {
        return tripDateEnd;
    }

    public void setTripDetail(String tripDetail) {
        this.tripDetail = tripDetail;
    }

    public String getTripDetail() {
        return tripDetail;
    }

    public String getTripName() {
        return tripName;
    }

    public void setTripName(String tripName) {
        this.tripName = tripName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("tripDateStart", getTripDateStart()).append("tripDateEnd", getTripDateEnd()).append("tripDetail", getTripDetail()).append("updateTime", getUpdateTime()).append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
